local addon = CreateFrame("frame","HorsemanSummonFix"); 

FIX_BATTLEGROUNDS = false;

local badZones = {
	[20] = true, 			-- Scarlet Monestary
};

function HorsemanSummonFix_ZoneChange()
	if(FIX_BATTLEGROUNDS) then
		badZones[443] = true;	-- Warsong Gulch
		badZones[482] = true;	-- Eye of the Storm
	end

	SetMapToCurrentZone();
	if(GetCurrentMapAreaID() and badZones[GetCurrentMapAreaID()]) then
		GameTooltip.temp = function() GameTooltip:Hide() end;  
		GameTooltip:SetScript("OnShow",GameTooltip.temp);
	else
		GameTooltip:SetScript("OnShow",GameTooltip.Show);
	end
end

addon:SetScript("OnEvent",HorsemanSummonFix_ZoneChange);

addon:RegisterEvent("ZONE_CHANGED");
addon:RegisterEvent("ZONE_CHANGED_NEW_AREA");
HorsemanSummonFix_ZoneChange();